HttpRequest::setBody
HttpRequest::setCookies
HttpRequest
PHP Manual

# HttpRequest::setContentType

Set content type

### Description

public bool HttpRequest::setContentType ( string `$content_type` )

Set the content type the post request should have.

### Parameters

`content_type`

  the content type of the request (primary/secondary)

### Return Values

Returns `TRUE` on success, or `FALSE` if the content type does not seem to contain a primary and a secondary part.